import fs from "fs";
import path from "path";
export function getFiles(dir, opts) {
    const results = [];
    getFilesWorker(results, dir, opts);
    return results;
}
function getFilesWorker(results, dir, opts) {
    const entries = fs.readdirSync(dir, { withFileTypes: true });
    for (const entry of entries) {
        const { name } = entry;
        const { publicDirRoot, excludeDirs, excludeDotFiles, includeWellKnown, } = opts;
        const fullpath = path.resolve(dir, name);
        const relative = '/' + path.relative(publicDirRoot, fullpath);
        if (excludeDirs.some(excludeDir => excludeDir.test(relative))) {
            continue;
        }
        if (excludeDotFiles && name.startsWith('.')) {
            if (includeWellKnown && name === '.well-known') {
                // ok
            }
            else {
                continue;
            }
        }
        if (entry.isDirectory()) {
            getFilesWorker(results, fullpath, opts);
        }
        else {
            results.push(fullpath);
        }
    }
}
