import { FastlyApiContext } from "./fastly-api.js";
export declare function getObjectStoreIdForNameMap(fastlyApiContext: FastlyApiContext): Promise<Record<string, string>>;
export declare function getObjectStoreIdForName(fastlyApiContext: FastlyApiContext, objectStoreName: string): Promise<string | null>;
type ObjectStoreInfo = {
    id: string;
    name: string;
};
export declare function getObjectStoreInfos(fastlyApiContext: FastlyApiContext): Promise<ObjectStoreInfo[]>;
type ObjectStoreEntryInfo = string;
export declare const _getObjectStoreKeys: (fastlyApiContext: FastlyApiContext, objectStoreId: string) => Promise<string[]>;
export declare function getObjectStoreKeys(fastlyApiContext: FastlyApiContext, objectStoreName: string): Promise<ObjectStoreEntryInfo[] | null>;
export declare function objectStoreEntryExists(fastlyApiContext: FastlyApiContext, objectStoreName: string, key: string): Promise<boolean>;
export declare function objectStoreSubmitFile(fastlyApiContext: FastlyApiContext, objectStoreName: string, key: string, data: Uint8Array | string): Promise<void>;
export declare function objectStoreDeleteFile(fastlyApiContext: FastlyApiContext, objectStoreName: string, key: string): Promise<void>;
export {};
//# sourceMappingURL=object-store.d.ts.map