import { ContentAssets } from "./assets/content-assets.js";
import type { PublisherServerConfigNormalized } from "../types/config-normalized.js";
import type { ContentAsset } from "../types/content-assets.js";
import type { ContentCompressionTypes } from "../constants/compression.js";
type AssetInit = {
    status?: number;
    headers?: Record<string, string>;
    cache?: 'extended' | 'never' | null;
};
export declare class PublisherServer {
    private readonly serverConfig;
    private readonly staticItems;
    private readonly contentAssets;
    constructor(serverConfig: PublisherServerConfigNormalized, contentAssets: ContentAssets);
    getMatchingAsset(path: string): ContentAsset | null;
    findAcceptEncodings(request: Request): ContentCompressionTypes[][];
    testExtendedCache(pathname: string): boolean;
    handlePreconditions(request: Request, asset: ContentAsset, responseHeaders: Record<string, string>): Response | null;
    serveAsset(request: Request, asset: ContentAsset, init?: AssetInit): Promise<Response>;
    serveRequest(request: Request): Promise<Response | null>;
}
export {};
//# sourceMappingURL=publisher-server.d.ts.map